shishi_time(3)

NAME
shishi_time - API function

SYNOPSIS
#include <shishi.h>

int shishi_time(Shishi * handle, Shishi_asn1 node, const char * field, char ** t);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 node
    ASN.1 node to get time from.

const char * field
    Name of field in ASN.1 node to get time from.

char ** t
    newly allocated output array with zero terminated time string.

DESCRIPTION
Extract time from ASN.1 structure.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.